EndpointsReporters

Update a reporter subscription

PATCH/v2/reporters/subscriptions/{subscription_id}

Updates non-null settings and leaves omitted or null settings unchanged.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

subscription_id*Subscription Id

Reporter subscription to update.

Match^rsub_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

Non-null subscription settings to replace.

curl -X PATCH "https://example.com/v2/reporters/subscriptions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "reporter": {    "kind": "version",    "reporter_version_id": "string"  },  "dependencies": [    {      "reporter": {        "kind": "version",        "reporter_version_id": "string"      },      "params": {},      "limits": {        "memory_mib": 1,        "guest_cpu_seconds": 1,        "wall_clock_seconds": 1,        "scratch_mib": 1,        "tool_calls": 1,        "llm_usd": 1,        "artifact_read_mib": 1,        "output_mib": 1      },      "reuse": {        "completed": true,        "max_age_seconds": 0,        "in_flight": true      },      "dependencies": [        {}      ]    }  ],  "owner_user_id": "string",  "trigger": "round_closed",  "league_id": "string",  "coworld_id": "string",  "cron": "string",  "params": {},  "publish_posts": true,  "enabled": true,  "created_at": "2019-08-24T14:15:22Z"}